// @ts-check
import { defineConfig } from "astro/config";
import tailwindcss from "@tailwindcss/vite";
import vue from "@astrojs/vue";
import node from "@astrojs/node";
import mdx from "@astrojs/mdx";

export default defineConfig({
  site: "https://atri.dad",
  redirects: {
    "/feed": "/rss.xml",
  },
  output: "server",
  build: {
    inlineStylesheets: "always",
  },
  vite: {
    plugins: [tailwindcss()],
  },

  image: {
    responsiveStyles: true,
    layout: "constrained",
    objectFit: "cover",
    objectPosition: "center",
  },

  integrations: [vue(), mdx()],

  adapter: node({
    mode: "standalone",
  }),
});
